<?php

$idioma = "es";
if (isset($_COOKIE["idioma"])) {
    $idioma = isset($_COOKIE["idioma"]) ? $_COOKIE["idioma"] : "es";
}

?>
<div class="col s6 offset-s3 valign-wrapper" id="barrita" >
	<div class="barrita" style="position: absolute;left: 0;right: 0; top:10%;">
		<center><img  style="z-index:1999" id="stemen" src="<?=IMG_ADMIN;?>spinner.gif"></center>
	</div>
</div>
<div id="mainTwo" v-cloak>
	<div class="" style="margin-top: 0px;">
		<section id="">
			<div class="container">
				<div class="row">
					<div class="col s12" style="padding-top: 0px; margin-top: 70px">
						<div class="col  s12 card-panel black-text white z-depth-3 hoverable" style="padding-top: 0px;">
							<h4 class="col s12">{{traducirFrase("Usuario")}}</h4>
							<div class="input-field col s3">
								<select id="tabu" class="browser-default" onchange="analiza()">
									<option value="1" selected>{{traducirFrase("Tiempo de charla de agente y estado")}}</option>
									<option value="2">{{traducirFrase("Hora de inicio/cierre de agente")}}</option>
									<option value="3">{{traducirFrase("Llamadas salientes para este periodo")}}</option>
									<option value="4">{{traducirFrase("Llamadas entrantes para este periodo")}}</option>
									<option value="5">{{traducirFrase("Actividad de agente para este periodo")}}</option>
									<option value="6">{{traducirFrase("Grabaciones para este periodo de tiempo")}}</option>
								</select>
								<label class="active">{{traducirFrase("Tabla")}}</label>
							</div>
							<div class="input-field col s3">
								<select v-model="Usuario" class="browser-default">
									<option v-for="user in Usuarios" v-bind:value="user.user">{{user.user+" - "+user.full_name}}</option>
								</select>
								<label class="active">{{traducirFrase("Usuarios")}}</label>
							</div>
							<div class="input-field col s2">
								<select v-model="campana" id="campanas" class="browser-default">
									<option value="-1">{{traducirFrase("Todas las campañas")}}</option>
									<option v-for="camp in Campanas" v-bind:value="camp.campaign_id">{{camp.campaign_name}}</option>

								</select>
								<label class="active">{{traducirFrase("Campañas")}}</label>
							</div>
							<div class="col s2">
								<label for="pickDate1">{{traducirFrase("Fecha")}}</label>
								<input type="text" autocomplete="off" start-date="new Date()" class=" datepicker-here" data-range="true" data-multiple-dates-separator=" - " data-date-format="yyyy-mm-dd" data-language="<?=$idioma;?>" id="pickDate"/>
							</div>
							<div class="col s1">
								<label for="archived">
									<input type="checkbox" id="archived" class="input-field">
									<span>{{traducirFrase("Información archivada")}}</span>
								</label>
							</div>
							<div class="col s1">
								<button class="btn btn-success btnW" v-on:click="recargar()" title="Generar"><i class="material-icons">done</i></button><br> <br>
							</div>

						</div>
					</div>
					<div class="col s12">
						<div class="col s12">
							<div class="card-panel white z-depth-5 hoverable">

								<div class='row'>
									<div class="col s12">
										<h4>
										{{traducirFrase("Estadísticas de Usuario")}}
										</h4> <h5 id='UserName'>{{Usuario}}</h5>

									</div>
									<div class='col s12 '>

										<div class="row  ">
											<div id="test-swipe-1" class="col s12 animated fadeInUp ">
												<div class="col s4">
													<h5>{{traducirFrase("Tiempo de charla de agente y estatus")}}</h5>
													<a href='' id='descargaTimeTalk' ><i class='material-icons'>file_download</i><span> {{traducirFrase("Descargar reporte")}}</span></a>
													<table class='centered responsive-table bordA'>
														<thead>
															<tr>
																<th class="btnW5">{{traducirFrase("Estado")}}</th>
																<th class="btnW9">{{traducirFrase("Conteo")}}</th>
																<th class="btnW13">HH:MM:SS</th>
															</tr>
														</thead>
														<tbody>
															<tr v-for="data in databuffer.tiempoCharla.Registros">
																<td>{{data.Estado}}</td>
																<td>{{data.Cuenta}}</td>
																<td>{{formatTime(data.Tiempo)}} </td>
															</tr>
														</tbody>
														<thead>
															<tr>
																<th>{{traducirFrase("LLAMADAS TOTALES")}}</th>
																<th>{{databuffer.tiempoCharla.Total.Cuenta}} </th>
																<th>{{formatTime(databuffer.tiempoCharla.Total.Tiempo)}} </th>

															</tr>
														</thead>
													</table>
												</div>

												<div id="highChart3" style="margin-top:0;height:300px;" class="col s8 tablitasW"></div>

											</div>
											<div id="test-swipe-2" class="col s12 animated fadeInUp ">
												<h5>{{traducirFrase("Hora de inicio/cierre de agente")}}</h5>
												<a href='' id='descargaHourInit' ><i class='material-icons'>file_download</i><span> {{traducirFrase("Descargar reporte")}}</span></a>
												<table class='centered responsive-table bordA'>
													<thead>
														<tr>
															<th>{{traducirFrase("Evento")}}</th>
															<th>{{traducirFrase("Fecha")}}</th>
															<th>{{traducirFrase("Campaña")}}</th>
															<th>{{traducirFrase("Grupo")}}</th>
															<th>{{traducirFrase("Sesión HH:MM:SS")}}</th>
															<th>{{traducirFrase("Servidor")}}</th>
															<th>{{traducirFrase("Teléfono")}}</th>
															<th>{{traducirFrase("Computadora")}}</th>
															<th>{{traducirFrase("Telefono inicio")}}</th>
															<th>{{traducirFrase("IP de Teléfono")}}</th>
														</tr>
													</thead>
													<tbody>
														<tr v-bind:class="checaV(data.Evento)" v-for="data in databuffer.HoraInicioCierreAgente.Registros">
															<td>{{data.Evento}}</td>
															<td>{{data.Fecha}}</td>
															<td>{{data.Campana}}</td>
															<td>{{data.Grupo}}</td>
															<td v-if="(data.Evento == 'LOGOUT') && (formatTime(data.Sesion) != 'NaN:NaN:NaN')">{{formatTime(data.Sesion)}}</td>
															<td v-else></td>
															<td>{{data.Servidor}}</td>
															<td>{{data.Telefono}}</td>
															<td>{{data.Computadora}}</td>
															<td>{{data.TelefonoInicio}}</td>
															<td>{{data.IPTelefono}}</td>


														</tr>
													</tbody>
													<thead>
														<tr>
															<th colspan='4'>TOTAL</th>
															<th colspan='6'>{{formatTime(databuffer.HoraInicioCierreAgente.Total)}}</th>
														</tr>
													</thead>
												</table>

											</div>
											<div id="test-swipe-3" class="col s12 animated fadeInUp ">
												<h5>
												{{traducirFrase("Llamadas salientes para este periodo")}}
												</h5>
												<a href='' id='descargaLlamadaSal' ><i class='material-icons'>file_download</i><span> {{traducirFrase("Descargar reporte")}}</span></a>
												<table class='centered responsive-table bordA'>
													<thead>
														<tr>
															<th>{{traducirFrase("Numero")}}</th>
															<th>{{traducirFrase("Fecha/Hora")}}</th>
															<th>{{traducirFrase("Duracion")}}</th>
															<th>{{traducirFrase("Estatus")}}</th>
															<th>{{traducirFrase("Campaña")}}</th>
															<th>{{traducirFrase("Grupo")}}</th>
															<th>{{traducirFrase("Lista")}}</th>
															<th>{{traducirFrase("Registro")}}</th>
															<th>{{traducirFrase("Razón de colgado")}}</th>
														</tr>
													</thead>
													<tbody>
														<tr v-bind:class="(data.Razon == 'AGENT')? 'btnW': 'btnW5'" v-for="data in databuffer.LlamadasSalientes">
															<td>{{data.Numero}}</td>
															<td>{{data.Fecha}}</td>
															<td v-if="formatTime(data.Duracion) != 'NaN:NaN:NaN'">{{formatTime(data.Duracion)}}</td>
															<td v-else></td>
															<td>{{data.Estado}}</td>
															<td>{{data.Campana}}</td>
															<td>{{data.Grupo}}</td>
															<td>{{data.Lista}}</td>
															<td>{{data.Registro}}</td>
															<td>{{data.Razon}}</td>
														</tr>
													</tbody>
												</table>

											</div>
											<div id="test-swipe-4" class="col s12 animated fadeInUp ">
												<h5>
													{{traducirFrase("Llamadas entrantes para este periodo")}}

												</h5>
												<a href='' id='descargaEntrantesCercanas' ><i class='material-icons'>file_download</i><span> {{traducirFrase("Descargar reporte")}}</span></a>
												<table class='centered responsive-table bordA'>
													<thead>
														<tr>
															<th>{{traducirFrase("Numero")}}</th>
															<th>{{traducirFrase("Fecha/Hora")}}</th>
															<th>{{traducirFrase("Duración")}}</th>
															<th>{{traducirFrase("Estatus")}}</th>
															<th>{{traducirFrase("Teléfono")}}</th>
															<th>{{traducirFrase("Campaña")}}</th>
															<th>{{traducirFrase("Tiempo en espera")}}</th>
															<th>{{traducirFrase("Tiempo con el agente")}}</th>
															<th>{{traducirFrase("Lista")}}</th>
															<th>{{traducirFrase("Registro")}}</th>
															<th>{{traducirFrase("Nombre")}}</th>
															<th>{{traducirFrase("Razón de colgado")}}</th>
														<tr>
													</thead>
													<tbody>
														<tr v-bind:class="(data.Razon == 'AGENT')? 'btnW':'btnW5'" v-for="data in databuffer.EntrantesCercanas.Registros">
															<td>{{data.numero}}</td>
															<td>{{data.Fecha}}</td>
															<td>{{data.Duracion}}</td>
															<td>{{data.Estados}}</td>
															<td>{{data.Telefono}}</td>
															<td>{{data.Campana}}</td>
															<td>{{formatTime(data.Espera)}}</td>
															<td>{{formatTime(data.Agente)}}</td>
															<td>{{data.Lista}}</td>
															<td>{{data.Registro}}</td>
															<td>{{data.Nombre}}</td>
															<td>{{data.Razon}}</td>
														</tr>
													</tbody>
													<tfoot>
														<tr>
															<td>{{traducirFrase("TOTALES")}}:</td>
															<td>{{databuffer.EntrantesCercanas.Totales.Segundos}}</td>
															<td colspan="5">{{databuffer.EntrantesCercanas.Totales.Agente}}</td>
															</td><td colspan='5'></td>
														</tr>
													</tfoot>
												</table>

											</div>
											<div id="test-swipe-5" class="col s12 animated fadeInUp ">
												<h5>
												{{traducirFrase("Actividad de agente para este periodo")}}
												</h5>
												<a href='' id='descargaActividadAgent' ><i class='material-icons'>file_download</i><span> {{traducirFrase("Descargar reporte")}}</span></a>
												<table class='centered responsive-table bordA'>
													<thead>
														<tr class="btnW2">
															<th class="">{{traducirFrase("Numero")}}</th>
															<th class="">{{traducirFrase("Fecha/Hora")}}</th>
															<th class="">{{traducirFrase("Pausa")}}</th>
															<th class="">{{traducirFrase("Espera")}}</th>
															<th class="">{{traducirFrase("Conversación")}}</th>
															<th class="">{{traducirFrase("Calificando")}}</th>
															<th class="">{{traducirFrase("En error")}}</th>
															<th class="">{{traducirFrase("Con cliente")}}</th>
															<th class="">{{traducirFrase("Estatus")}}</th>
															<th class="">{{traducirFrase("Registro")}}</th>
															<th class="">{{traducirFrase("Campaña")}}</th>
															<th class="">{{traducirFrase("Código de Pausa")}}</th>
														</tr>
													</thead>
													<tbody>
														<tr  v-bind:class="checaVE(data.CodigoPausa)" v-for="data in databuffer.ActividadAgente.Registros">
															<td>{{data.Numero}}</td>
															<td>{{data.Fecha}}</td>
															<td v-if="formatTime(data.Pausa) != 'NaN:NaN:NaN'">{{formatTime(data.Pausa)}}</td>
															<td v-else></td>
															<td v-if="formatTime(data.Espera) != 'NaN:NaN:NaN'">{{formatTime(data.Espera)}}</td>
															<td v-else></td>
															<td v-if="formatTime(data.Conversacion) != 'NaN:NaN:NaN'">{{formatTime(data.Conversacion)}}</td>
															<td v-else></td>
															<td v-if="formatTime(data.Dispo) != 'NaN:NaN:NaN'">{{formatTime(data.Dispo)}}</td>
															<td v-else></td>
															<td v-if="formatTime(data.Muerto) != 'NaN:NaN:NaN'">{{formatTime(data.Muerto)}}</td>
															<td v-else></td>
															<td v-if="formatTime(data.Cliente) != 'NaN:NaN:NaN'">{{formatTime(data.Cliente)}}</td>
															<td v-else></td>
															<td>{{data.Estado}}</td>
															<td>{{data.Registro}}</td>
															<td>{{data.Campana}}</td>
															<td>{{data.CodigoPausa}}</td>
														</tr>
													</tbody>
												</table>

											</div>
											<div id="test-swipe-6" class="col s12 animated fadeInUp ">
												<h5>
												{{traducirFrase("Grabaciones para este periodo de tiempo")}}
												</h5>
												<a href='' id='descargaGrabThis' ><i class='material-icons'>file_download</i><span>{{traducirFrase("Descargar reporte")}}</span></a>
												<table id='GrabThis' class='striped highlight centered responsive-table bordA'>
													<thead>
														<tr>
															<th class="btnW12">{{traducirFrase("Numero")}}</th>
															<th class="btnW13">{{traducirFrase("Registro")}}</th>
															<th class="btnW7">{{traducirFrase("Fecha/Hora")}}</th>
															<th class="btnW9">{{traducirFrase("Segundos")}}</th>
															<th class="btnW3">{{traducirFrase("REC ID")}}</th>
															<th class="btnW1">{{traducirFrase("Nombre de Archivo")}}</th>
															<th class="btnW2">{{traducirFrase("Teléfono")}}</th>
														</tr>
													</thead>
													<tbody>
														<tr v-for="data in databuffer.Grabaciones.Registros">
															<td>{{data.Numero}}</td>
															<td>{{data.Registro}}</td>
															<td>{{data.Fecha}}</td>
															<td>{{formatTime(data.Segundos)}}</td>
															<td>{{data.RECID}}</td>
															<td>{{data.Nombre}}</td>
															<td>{{ data.Nombre.substr(data.Nombre.length - 10) }}</td>
														</tr>
													</tbody>
												</table>

											</div>
										</div>

									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
	</div>
</div>

<!-- END MAIN -->
<!-- //////////////////////////////////////////////////////////////////////////// -->
<!-- START FOOTER -->
<?php require_once UTILS_PATH . 'footer.php';?>
<!-- END FOOTER -->
<!-- ================================================
    Scripts
    ================================================ -->
<!-- jQuery Library -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jquery-3.2.1.min.js"></script>
<!--materialize js-->
<script type="text/javascript" src="<?=JS_ADMIN;?>materialize.min.js"></script>
<!--scrollbar-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>perfect-scrollbar/perfect-scrollbar.min.js"></script>
<!-- chartjs -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>chartjs/chart.min.js"></script>
<!-- sparkline -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>sparkline/jquery.sparkline.min.js"></script>
<!-- google map api -->
<script type="text/javascript" src="<?=JS_ADMIN;?>maps.js"></script>
<!--jvectormap-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/jquery-jvectormap-world-mill-en.js"></script>
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/vectormap-script.js"></script>
<!--google map-->

<!--plugins.js - Some Specific JS codes for Plugin Settings-->
<script type="text/javascript" src="<?=JS_ADMIN;?>plugins.js"></script>
<!--card-advanced.js - Page specific JS-->
<script type="text/javascript" src="<?=JS_ADMIN;?>scripts/dashboard-analytics.js"></script>
<!--custom-script.js - Add your own theme custom JS
    <script type="text/javascript" src="<?=JS_ADMIN;?>custom-script.js"></script>-->
<script src="<?=JS_ADMIN;?>vue.js"></script>
<script src="<?=JS_ADMIN;?>Chart.min.js"></script>
<script src="<?=JS_ADMIN;?>gauge.min.js"></script>
<script src="<?=JS_ADMIN;?>raphael.js"></script>
<script src="<?=JS_ADMIN;?>justgage.js"></script>
<script src="<?=JS_ADMIN;?>datepicker.js"></script>
<script src="<?=JS_ADMIN;?>i18n/datepicker.es.js"></script>
<script src="<?=JS_ADMIN;?>i18n/datepicker.en.js"></script>

<script type="text/javascript" src="<?=LIB_JS;?>highcharts/stock/highstock.js"></script>
<script src="<?=LIB_JS;?>highcharts/highcharts-3d.js"></script>
<script src="<?=LIB_JS;?>highcharts/modules/cylinder.js"></script>
<script src="<?=LIB_JS;?>highcharts/modules/exporting.js"></script>
<script src="<?=LIB_JS;?>highcharts/modules/export-data.js"></script>
<script src="<?=LIB_JS;?>highcharts/modules/funnel.js"></script>
<script src="<?=LIB_JS;?>highcharts/modules/series.js"></script>
<script src="<?=LIB_JS;?>highcharts/modules/accesibility.js"></script>

<script>
var app = new Vue({
		el: '#main',
		data: {
			databuffer:{
				tiempoCharla:{
					Registros:[],
					Total:{
						Cuenta:0,
						Tiempo:0
					}
				},
				HoraInicioCierreAgente:{
					Registros:[],
					Total:0
				},
				LlamadasSalientes:[],
				EntrantesCercanas:{
					Registro:[],
					Totales:{
						Segundos:0,
						Agente:0
					}
				},
				ActividadAgente:{
					Registros:[]
				},
				Grabaciones:{
					Registros:[]
				}
			},
			Usuario:"",
			flagUsuario:true,
			flagTable:false,
			flagCampanas:true,
			Usuarios:[],
			Campanas:[],
			campana:"",
			flagRecargar:true,
		},
		mounted: function () {
			var bla;
			$("#escondeme").hide();
			$('.tooltipped').tooltip();
			function cambiarAOscuro() {

				for (let i = 0; i < bla.length; i++) {
					bla[i].classList.remove('white');
					bla[i].classList.add('grey');
					bla[i].classList.add('lighten-1');
					bla[i].style.filter = 'invert(100%)';
				}

			}

			if (localStorage.getItem('background') == "black") {
				bla = document.getElementsByClassName('card-panel')
				bla = Array.prototype.slice.call(bla)
				cambiarAOscuro();
			}
			$("#escondeme").hide();
			$(".modal").modal();
			$("#barrita").show();
			analiza();
			$('#test-swipe-2').hide();
			$('#test-swipe-3').hide();
			$('#test-swipe-4').hide();
			$('#test-swipe-5').hide();
			$('#test-swipe-6').hide();
			var today = new Date();
			var dd = today.getDate();
			var mm = today.getMonth() + 1; //January is 0!
			var yyyy = today.getFullYear();
			if (dd < 10) {
			dd = '0' + dd;
			}
			if (mm < 10) {
			mm = '0' + mm;
			}
			var today = yyyy+ '-' + mm + '-' + dd;
			$('#pickDate').val(today+" - "+today);
			M.toast({
				html: i18n.gettext("Cargando datos, por favor espere")+"."
			});

			var url_string = window.location.href;
			var url = new URL(url_string);
			this.Usuario = url.searchParams.get("Usuario");
			$('.fixed-action-btn').floatingActionButton();
			if (this.Usuario == null) {
				this.Usuario = "";
			}

			setTimeout(() => {
				app.getUsuarios();
				app.getCampanas();

				setTimeout(() => {
					app.recargar();
				}, 2000);
				setInterval(() => {
					app.getUsuarios();
					app.getCampanas();
				}, 60000);
			}, 2000);
		},
		updated:function(){
			$('.tooltipped').tooltip();
		},
		methods: {
			checaV(valor){

				var claseW = '';

				switch (valor) {
					case 'LOGIN':
						claseW = 'btnW3';
					break;

					case 'LOGOUT':
						claseW = 'btnW1';
					break;

					default:
						break;
				}

				return claseW;
			},
			checaVE(valor){

				var claseW = '';

				switch (valor) {
					case 'MARM':
						claseW = 'btnW2';
					break;

					case 'PER':
						claseW = 'btnW';
					break;

					case 'LOGIN':
						claseW = 'btnW3';
					break;

					case 'SIS':
						claseW = 'btnW7';
					break;

					case 'LAGGED':
						claseW = 'btnW9';
					break;

					case 'CLOSER':
						claseW = 'btnW11';
					break;

					case 'PAUSA':
						claseW = 'btnW12';
					break;

					case 'MANUAL':
						claseW = 'btnW13';
					break;

					case 'DES':
						claseW = 'btnW6';
					break;

					default:
						break;
				}

				return claseW;
			},
			formatTime:function(val){
				val = parseInt(val);
				let Horas = Math.floor(val / 3600);
				val -= Horas * 3600;
				let Minutos = Math.floor(val / 60);
				val -= Minutos * 60;
				let Segundos = val;
				val = (Horas<10?"0"+Horas:Horas) + ":" + (Minutos<10?"0"+Minutos:Minutos) + ":" + (Segundos<10?"0"+Segundos:Segundos);
				return val;
			},
			getUsuarios:function()
			{
				if (app.flagUsuario) {
					$('.fixed-action-btn').floatingActionButton();
					$.ajax({
						url: "<?=MODULOS;?>usuarios/getAgentSelect",
						type: "GET",
						dataType: "text",
						success: function (result) {
							var res = JSON.parse(result);
							if(res.Estado=='ok')
							{
								app.Usuarios=res.usuarios;
							}
							else
							{
								M.toast({
									html:res.Descripcion
								});
							}
							app.flagUsuario = false;
						},
						error: function (error) {
							console.log(error);
						}
					});
				}
			},
			getCampanas:function(){
				if(app.flagCampanas)
				{
					app.flagCampanas=false;
					$.ajax({
						url: "/<?=RUTA_MAESTRA;?>/index.php/campanas/getCampaignsSelect",
						type: "GET",
						dataType: "text",
						success: function (result) {
							app.flagCampanas=true;
							var resp=JSON.parse(result)
							if(resp.Estado=='ok')
							{
								app.Campanas=resp.Campanas
								if(app.campana==="")
								{
									app.campana=-1;
								}
							}
							else{
								M.toast({
									'html':resp.Descripcion
								});
							}
						},
						error: function (error) {
							console.log(error);
						}
					});
				}
			},
			recargar: function () {
				if (app.flagRecargar) {
					app.flagRecargar=false;
					var parametros = {
						usuario: app.Usuario,
						fechaInicio:  dIni($("#pickDate").val()),
						fechaFin: dEnd($("#pickDate").val()),
						campana:app.campana,
						archived:document.getElementById("archived").checked?"1":"0"
					};
					fechaINI = dIni($("#pickDate").val());
					fechaFIN = dEnd($("#pickDate").val());
					$("#descargaTimeTalk").hide();
					$("#descargaHourInit").hide();
					$("#descargaLlamadaSal").hide();
					$("#descargaEntrantesCercanas").hide();
					$("#descargaActividadAgent").hide();
					$("#descargaGrabThis").hide();
					$('.barrita').show();
					$.ajax({
						url: "<?=MODULOS;?>usuarios/getUserStats",
						type: "GET",
						data: parametros,
						dataType: "text",
						success: function (result) {
							app.flagRecargar=true;
							$('.barrita').hide();
							console.log(result)
							var resp = JSON.parse(result);
							if (resp.Estado == 'ok') {
								if(resp.tiempoCharla==null)
								{
									resp.tiempoCharla={
										Registros:[],
										Total:{
											Cuenta:0,
											Tiempo:0
										}
									}
								}
								if(resp.HoraInicioCierreAgente==null)
								{
									resp.HoraInicioCierreAgente={
										Registros:[],
										Total:0
									}
								}
								if(resp.LlamadasSalientes ==null)
									resp.LlamadasSalientes=[];
								if(resp.EntrantesCercanas==null)
								{
									resp.EntrantesCercanas={
										Registros:[],
										Totales:{
											Segundos:0,
											Agente:0
										}
									};
								}
								if(resp.ActividadAgente==null)
								{
									resp.ActividadAgente={
										Registros:[]
									}
								}
								if(resp.Grabaciones==null)
								{
									resp.Grabaciones={
										Registros:[]
									}
								}
								app.databuffer=resp;

								creaDona1();

								$("#descargaTimeTalk").show();
								$("#descargaHourInit").show();
								$("#descargaLlamadaSal").show();
								$("#descargaEntrantesCercanas").show();
								$("#descargaActividadAgent").show();
								$("#descargaGrabThis").show();


								$("#descargaTimeTalk").attr("href","/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserStats?archived="+(document.getElementById("archived").checked?"1":"0")+"&campana="+app.campana+"&usuario=" + app.Usuario +"&fechaInicio=" + fechaINI + "&fechaFin=" + fechaFIN +"&csv=true&tipo=1");
								$("#descargaHourInit").attr("href","/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserStats?archived="+(document.getElementById("archived").checked?"1":"0")+"&campana="+app.campana+"&usuario=" + app.Usuario +"&fechaInicio=" + fechaINI + "&fechaFin=" + fechaFIN +"&csv=true&tipo=2");
								$("#descargaLlamadaSal").attr("href","/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserStats?archived="+(document.getElementById("archived").checked?"1":"0")+"&campana="+app.campana+"&usuario=" + app.Usuario +"&fechaInicio=" + fechaINI + "&fechaFin=" + fechaFIN +"&csv=true&tipo=4");
								$("#descargaEntrantesCercanas").attr("href","/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserStats?archived="+(document.getElementById("archived").checked?"1":"0")+"&campana="+app.campana+"&usuario=" + app.Usuario +"&fechaInicio=" + fechaINI + "&fechaFin=" + fechaFIN +"&csv=true&tipo=5");
								$("#descargaActividadAgent").attr("href","/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserStats?archived="+(document.getElementById("archived").checked?"1":"0")+"&campana="+app.campana+"&usuario=" + app.Usuario +"&fechaInicio=" + fechaINI + "&fechaFin=" + fechaFIN +"&csv=true&tipo=6");
								$("#descargaActividadAgent").attr("href","/<?=RUTA_MAESTRA;?>/index.php/usuarios/getUserStats?archived="+(document.getElementById("archived").checked?"1":"0")+"&campana="+app.campana+"&usuario=" + app.Usuario +"&fechaInicio=" + fechaINI + "&fechaFin=" + fechaFIN +"&csv=true&tipo=7");
								$('.tabs').tabs();
								$('.barrita').hide();
								var bla;

								function cambiarAOscuro() {

									for (let i = 0; i < bla.length; i++) {
										bla[i].classList.remove('white');
										bla[i].classList.add('grey');
										bla[i].classList.add('lighten-1');bla[i].style.filter = 'invert(100%)';
									}
								}

								if (localStorage.getItem('background') == "black") {
									bla = document.getElementsByClassName('card-panel')
									bla = Array.prototype.slice.call(bla)
									cambiarAOscuro();
								}
								flagTable = false;

							} else {
								M.toast({
									html: resp.Descripcion
								});

							}
						},
						error: function (err) {
							console.log(err);
						}
					});
				}
			}
		},
		computed: {
			classObject: function () {
				if (this.ls == 'white') {
					return 'black-text';
				} else {
					return 'white-text';
				}
			}
		}
	});
	var a = document.getElementById('idioma');
	if(a.value == "es"){
		<?php if (defined("BANDERA_ES")) {?>
			document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-<?php echo BANDERA_ES; ?>"></span>&nbsp;';
		<?php } else {?>
			document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-mx"></span>&nbsp;';
		<?php }?>
	}
	else{
		document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-um"></span>&nbsp;';
	}

	if (localStorage.getItem('background') == "black") {
		document.getElementById('stemen').style.filter = 'invert(100%)'
	}
	function dIni(date){
		return date.slice(0,10);
	}
	function dEnd(date){
		return date.slice(13,23);
	}
	var scroll = new SmoothScroll('a[href*="#"]', {
		speed: 500,
		speedAsDuration: false,
		easing: 'easeInOutCubic',
		offset: 100
	});
	var prev;

	function analiza() {
		if (prev == null || prev == undefined) {
			var s = document.getElementById('tabu').value
			$('#test-swipe-' + s).show();
			prev = s;
		} else {
			$('#test-swipe-' + prev).hide();
			var s = document.getElementById('tabu').value
			$('#test-swipe-' + s).show();
			prev = s;
		}

	}

	function creaDona1(){

		var data = app.databuffer.tiempoCharla.Registros;

		console.log('Wolf: ');
		console.log(app.databuffer);

		var dataE = [];
		var dataL = [];

		$.each(data, function( index, value ) {

			colorW = generaColor();

			dataL.push(value.Estado);

			dataE.push({
				name: value.Estado,
				y: parseInt(value.Cuenta),
				color: colorW
			});

		});

		Highcharts.chart('highChart3', {
			chart: {
				type: 'funnel3d',
				options3d: {
					enabled: true,
					alpha: 10,
					depth: 50,
					viewDistance: 50
				}
			},
			title: {
				text: ' '
			},
			plotOptions: {
				series: {
					dataLabels: {
						enabled: true,
						format: '',
						allowOverlap: true,
						y: 10
					},
					neckWidth: '30%',
					neckHeight: '25%',
					width: '80%',
					height: '80%'
				}
			},
			series: [{
				name: traducirFrase('Estadisticas'),
				data: dataE
			}]
		});

	}

	//color random

	function generaColor(){

var hexadecimal = new Array("0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F");
var color_aleatorio = "#";

var posarray;

for (i=0;i<6;i++){

	posarray = aleatorio(0,hexadecimal.length);
	color_aleatorio += hexadecimal[posarray];

}

return color_aleatorio

}

function aleatorio(inferior,superior){
numPosibilidades = superior - inferior;
aleat = Math.random() * numPosibilidades;
aleat = Math.floor(aleat);

return parseInt(inferior) + aleat;

}

</script>

</body>

<!-- Mirrored from pixinvent.com/materialize-material-design-admin-template/html/horizontal-menu/ by HTTrack Website Copier/3.x [XR&CO'2014], Tue, 07 Aug 2018 16:55:15 GMT -->

</html>